<?php
/**
 * @file
 * farm_area.openlayers_maps.inc
 */

/**
 * Implements hook_openlayers_maps().
 */
function farm_area_openlayers_maps() {
  $export = array();

  $openlayers_maps = new stdClass();
  $openlayers_maps->disabled = FALSE; /* Edit this to true to make a default openlayers_maps disabled initially */
  $openlayers_maps->api_version = 1;
  $openlayers_maps->name = 'farm_map_area';
  $openlayers_maps->title = 'Farm Area Map';
  $openlayers_maps->description = 'Map of a single farm area. Used in the area location Geofield formatter.';
  $openlayers_maps->data = array(
    'width' => 'auto',
    'height' => '400px',
    'image_path' => drupal_get_path('module', 'openlayers') . '/themes/default_dark/img/',
    'css_path' => drupal_get_path('module', 'openlayers') . '/themes/default_dark/style.css',
    'proxy_host' => '',
    'hide_empty_map' => 0,
    'center' => array(
      'initial' => array(
        'centerpoint' => '-95.99999999999764, 40.00000000000016',
        'zoom' => '4',
      ),
      'restrict' => array(
        'restrictextent' => 0,
        'restrictedExtent' => '',
      ),
    ),
    'behaviors' => array(
      'openlayers_behavior_fullscreen' => array(
        'activated' => 0,
      ),
      'openlayers_behavior_layerswitcher' => array(
        'ascending' => 1,
        'sortBaseLayer' => '0',
        'roundedCorner' => 1,
        'roundedCornerColor' => '#222222',
        'maximizeDefault' => 0,
        'div' => '',
      ),
      'openlayers_behavior_navigation' => array(
        'zoomWheelEnabled' => 1,
        'zoomBoxEnabled' => 1,
        'documentDrag' => 0,
      ),
      'openlayers_behavior_panzoombar' => array(
        'zoomWorldIcon' => 0,
        'panIcons' => 1,
      ),
      'openlayers_behavior_popup' => array(
        'layers' => array(
          'farm_area_data_single' => 'farm_area_data_single',
          'geofield_formatter' => 0,
        ),
        'popupAtPosition' => 'mouse',
        'panMapIfOutOfView' => 1,
        'keepInMap' => 1,
      ),
      'openlayers_behavior_scaleline' => array(),
      'openlayers_behavior_zoomtolayer' => array(
        'zoomtolayer' => array(
          'farm_area_data_single' => 'farm_area_data_single',
          'google_satellite' => 0,
          'google_hybrid' => 0,
          'google_normal' => 0,
          'google_physical' => 0,
          'geofield_formatter' => 0,
        ),
        'point_zoom_level' => '16',
        'zoomtolayer_scale' => '1',
      ),
    ),
    'default_layer' => 'google_hybrid',
    'layers' => array(
      'google_satellite' => 'google_satellite',
      'google_hybrid' => 'google_hybrid',
      'google_normal' => 'google_normal',
      'google_physical' => 'google_physical',
      'geofield_formatter' => 'geofield_formatter',
      'farm_area_data_single' => 'farm_area_data_single',
    ),
    'layer_weight' => array(
      'geofield_formatter' => '0',
      'farm_area_data_single' => '0',
      'farm_area_data_all' => '0',
      'openlayers_geojson_picture_this' => '0',
      'openlayers_kml_example' => '0',
    ),
    'layer_styles' => array(
      'openlayers_kml_example' => '0',
      'openlayers_geojson_picture_this' => '0',
      'farm_area_data_all' => '0',
      'geofield_formatter' => '0',
      'farm_area_data_single' => '0',
    ),
    'layer_styles_select' => array(
      'openlayers_kml_example' => '0',
      'openlayers_geojson_picture_this' => '0',
      'farm_area_data_all' => '0',
      'geofield_formatter' => '0',
      'farm_area_data_single' => '0',
    ),
    'layer_styles_temporary' => array(
      'openlayers_kml_example' => '0',
      'openlayers_geojson_picture_this' => '0',
      'farm_area_data_all' => '0',
      'geofield_formatter' => '0',
      'farm_area_data_single' => '0',
    ),
    'layer_activated' => array(
      'farm_area_data_single' => 'farm_area_data_single',
      'geofield_formatter' => 0,
      'openlayers_kml_example' => 0,
      'openlayers_geojson_picture_this' => 0,
      'farm_area_data_all' => 0,
    ),
    'layer_switcher' => array(
      'geofield_formatter' => 0,
      'openlayers_kml_example' => 0,
      'openlayers_geojson_picture_this' => 0,
      'farm_area_data_all' => 0,
      'farm_area_data_single' => 0,
    ),
    'projection' => 'EPSG:3857',
    'displayProjection' => 'EPSG:4326',
    'styles' => array(
      'default' => 'farm_blue',
      'select' => 'farm_orange',
      'temporary' => 'farm_green',
    ),
  );
  $export['farm_map_area'] = $openlayers_maps;

  $openlayers_maps = new stdClass();
  $openlayers_maps->disabled = FALSE; /* Edit this to true to make a default openlayers_maps disabled initially */
  $openlayers_maps->api_version = 1;
  $openlayers_maps->name = 'farm_map_areas';
  $openlayers_maps->title = 'Farm Areas Map';
  $openlayers_maps->description = 'Map of all farm areas.';
  $openlayers_maps->data = array(
    'width' => 'auto',
    'height' => '400px',
    'image_path' => drupal_get_path('module', 'openlayers') . '/themes/default_dark/img/',
    'css_path' => drupal_get_path('module', 'openlayers') . '/themes/default_dark/style.css',
    'proxy_host' => '',
    'hide_empty_map' => 0,
    'center' => array(
      'initial' => array(
        'centerpoint' => '-95.99999999999764, 40.00000000000016',
        'zoom' => '4',
      ),
      'restrict' => array(
        'restrictextent' => 0,
        'restrictedExtent' => '',
      ),
    ),
    'behaviors' => array(
      'openlayers_behavior_fullscreen' => array(
        'activated' => 0,
      ),
      'openlayers_behavior_geofield' => array(),
      'openlayers_behavior_layerswitcher' => array(
        'ascending' => 1,
        'sortBaseLayer' => '0',
        'roundedCorner' => 1,
        'roundedCornerColor' => '#222222',
        'maximizeDefault' => 0,
        'div' => '',
      ),
      'openlayers_behavior_navigation' => array(
        'zoomWheelEnabled' => 1,
        'zoomBoxEnabled' => 1,
        'documentDrag' => 0,
      ),
      'openlayers_behavior_panzoombar' => array(
        'zoomWorldIcon' => 0,
        'panIcons' => 1,
      ),
      'openlayers_behavior_popup' => array(
        'layers' => array(
          'farm_area_data_property' => 'farm_area_data_property',
          'farm_area_data_paddock' => 'farm_area_data_paddock',
          'farm_area_data_greenhouse' => 'farm_area_data_greenhouse',
          'farm_area_data_building' => 'farm_area_data_building',
          'farm_area_data_rowbed' => 'farm_area_data_rowbed',
          'farm_area_data_landmark' => 'farm_area_data_landmark',
          'farm_area_data_field' => 'farm_area_data_field',
          'farm_area_data_water' => 'farm_area_data_water',
        ),
        'popupAtPosition' => 'mouse',
        'panMapIfOutOfView' => 1,
        'keepInMap' => 1,
      ),
      'openlayers_behavior_scaleline' => array(),
      'openlayers_behavior_zoomtolayer' => array(
        'zoomtolayer' => array(
          'farm_area_data_property' => 'farm_area_data_property',
          'farm_area_data_paddock' => 'farm_area_data_paddock',
          'farm_area_data_greenhouse' => 'farm_area_data_greenhouse',
          'farm_area_data_building' => 'farm_area_data_building',
          'farm_area_data_rowbed' => 'farm_area_data_rowbed',
          'farm_area_data_landmark' => 'farm_area_data_landmark',
          'farm_area_data_field' => 'farm_area_data_field',
          'farm_area_data_water' => 'farm_area_data_water',
          'google_satellite' => 0,
          'google_hybrid' => 0,
          'google_normal' => 0,
          'google_physical' => 0,
        ),
        'point_zoom_level' => '16',
        'zoomtolayer_scale' => '1',
      ),
    ),
    'default_layer' => 'google_hybrid',
    'layers' => array(
      'google_satellite' => 'google_satellite',
      'google_hybrid' => 'google_hybrid',
      'google_normal' => 'google_normal',
      'google_physical' => 'google_physical',
      'farm_area_data_property' => 'farm_area_data_property',
      'farm_area_data_field' => 'farm_area_data_field',
      'farm_area_data_building' => 'farm_area_data_building',
      'farm_area_data_greenhouse' => 'farm_area_data_greenhouse',
      'farm_area_data_paddock' => 'farm_area_data_paddock',
      'farm_area_data_rowbed' => 'farm_area_data_rowbed',
      'farm_area_data_water' => 'farm_area_data_water',
      'farm_area_data_landmark' => 'farm_area_data_landmark',
    ),
    'layer_weight' => array(
      'farm_area_data_property' => '-10',
      'farm_area_data_field' => '-5',
      'geofield_formatter' => '0',
      'farm_area_data_building' => '0',
      'farm_area_data_greenhouse' => '0',
      'farm_area_data_paddock' => '0',
      'farm_area_data_single' => '0',
      'openlayers_geojson_picture_this' => '0',
      'farm_area_data_all' => '0',
      'openlayers_kml_example' => '0',
      'farm_area_data_rowbed' => '5',
      'farm_area_data_water' => '10',
      'farm_area_data_landmark' => '10',
    ),
    'layer_styles' => array(
      'geofield_formatter' => '0',
      'openlayers_kml_example' => '0',
      'openlayers_geojson_picture_this' => '0',
      'farm_area_data_all' => '0',
      'farm_area_data_single' => '0',
      'farm_area_data_property' => 'farm_purple',
      'farm_area_data_paddock' => 'farm_dark_green',
      'farm_area_data_greenhouse' => 'farm_green',
      'farm_area_data_building' => 'farm_brown',
      'farm_area_data_rowbed' => 'farm_red',
      'farm_area_data_landmark' => 'farm_red',
      'farm_area_data_field' => 'farm_yellow',
      'farm_area_data_water' => 'farm_blue',
    ),
    'layer_styles_select' => array(
      'geofield_formatter' => '0',
      'openlayers_kml_example' => '0',
      'openlayers_geojson_picture_this' => '0',
      'farm_area_data_all' => '0',
      'farm_area_data_single' => '0',
      'farm_area_data_property' => '0',
      'farm_area_data_paddock' => '0',
      'farm_area_data_greenhouse' => '0',
      'farm_area_data_building' => '0',
      'farm_area_data_rowbed' => '0',
      'farm_area_data_landmark' => '0',
      'farm_area_data_field' => '0',
      'farm_area_data_water' => '0',
    ),
    'layer_styles_temporary' => array(
      'geofield_formatter' => '0',
      'openlayers_kml_example' => '0',
      'openlayers_geojson_picture_this' => '0',
      'farm_area_data_all' => '0',
      'farm_area_data_single' => '0',
      'farm_area_data_property' => '0',
      'farm_area_data_paddock' => '0',
      'farm_area_data_greenhouse' => '0',
      'farm_area_data_building' => '0',
      'farm_area_data_rowbed' => '0',
      'farm_area_data_landmark' => '0',
      'farm_area_data_field' => '0',
      'farm_area_data_water' => '0',
    ),
    'layer_activated' => array(
      'farm_area_data_property' => 'farm_area_data_property',
      'farm_area_data_paddock' => 'farm_area_data_paddock',
      'farm_area_data_greenhouse' => 'farm_area_data_greenhouse',
      'farm_area_data_building' => 'farm_area_data_building',
      'farm_area_data_rowbed' => 'farm_area_data_rowbed',
      'farm_area_data_landmark' => 'farm_area_data_landmark',
      'farm_area_data_field' => 'farm_area_data_field',
      'farm_area_data_water' => 'farm_area_data_water',
      'geofield_formatter' => 0,
      'openlayers_kml_example' => 0,
      'openlayers_geojson_picture_this' => 0,
      'farm_area_data_all' => 0,
      'farm_area_data_single' => 0,
    ),
    'layer_switcher' => array(
      'farm_area_data_property' => 'farm_area_data_property',
      'farm_area_data_paddock' => 'farm_area_data_paddock',
      'farm_area_data_greenhouse' => 'farm_area_data_greenhouse',
      'farm_area_data_building' => 'farm_area_data_building',
      'farm_area_data_rowbed' => 'farm_area_data_rowbed',
      'farm_area_data_landmark' => 'farm_area_data_landmark',
      'farm_area_data_field' => 'farm_area_data_field',
      'farm_area_data_water' => 'farm_area_data_water',
      'geofield_formatter' => 0,
      'openlayers_kml_example' => 0,
      'openlayers_geojson_picture_this' => 0,
      'farm_area_data_all' => 0,
      'farm_area_data_single' => 0,
    ),
    'projection' => 'EPSG:3857',
    'displayProjection' => 'EPSG:4326',
    'styles' => array(
      'default' => 'default',
      'select' => 'farm_orange',
      'temporary' => 'default_temporary_select',
    ),
  );
  $export['farm_map_areas'] = $openlayers_maps;

  return $export;
}
